# ResamplingMethod enum

Resampling method.

Inheritance
  - Object
  - Enum
  - ResamplingMethod
Available extensions
  - EnumName

## Values

NONE → const ResamplingMethod

  Always geometrically rescale the image to fit the page if necessary. Fast.

  Otherwise, downscale the bitmap to match the `dpi` setting via the selected method before adding it to the PDF if the calculated image DPI after stretching is greater than `dpi`. Slower.

NEAREST → const ResamplingMethod

  Nearest-neighbor interpolation. Lowest quality. Produces blocky images, especially when upsampling.

LINEAR → const ResamplingMethod

  Bi-linear interpolation. Better quality than nearest-neighbor, slower. Okay when the target size is not too different from the source size.

CUBIC → const ResamplingMethod

  Bi-cubic interpolation. Better quality than bi-linear, slower. Produces high-quality results in a larger range than that of bi-linear.

LANCZOS4 → const ResamplingMethod

  Lanczos (Sinc) interpolation over 8x8 neighborhood. Produces very high quality results, but slower than bi-cubic. Retains sharp edges like those of text when downsampling.

AREA → const ResamplingMethod

  Accurate, produces moire-free results, but tends to produce blurrier images. When upsampling, it is similar to nearest-neighbor.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<ResamplingMethod>
  A constant List of the values in this enum, in order of their declaration.